Bug 190237 - Review Request: perl-Email-MIME-Encodings - Unified interface to MIME encoding and decoding
Review Request: perl-Email-MIME-Encodings - Unified interface to MIME encodin...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-28 19:17 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-29 13:12:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-04-28 19:17:27 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Email-MIME-Encodings.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Email-MIME-Encodings-1.3-1.src.rpm

Description:
This module simply wraps "MIME::Base64" and "MIME::QuotedPrint" so that
you can throw the contents of a "Content-Transfer-Encoding" header at
some text and have the right thing happen.

Note: another HTTP::Recorder requirement
Comment 1 Jason Tibbitts 2006-04-28 23:08:58 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   adb933af2ff9c3cc8e158bbdcf3d19e5  Email-MIME-Encodings-1.3.tar.gz
   adb933af2ff9c3cc8e158bbdcf3d19e5  Email-MIME-Encodings-1.3.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   1..12
   ok 1 - use Email::MIME::Encodings;
   ok 2 - enc binary
   ok 3 - dec binary
   ok 4 - enc 7bit
   ok 5 - dec 7bit
   ok 6 - enc 8bit
   ok 7 - dec 8bit
   ok 8 - enc qp
   ok 9 - dec qp
   ok 10 - enc 64
   ok 11 - dec 64
   ok 12 - Error handling
   + exit 0
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-04-29 13:12:03 EDT
Thanks for the review.

Imported and built for FC-4, FC-5, and devel.

Note You need to log in before you can comment on or make changes to this bug.